-- name: [CS] Conker
-- description: Conker Model. Made by MiiMario64.
-- description: Conker is a series of platform video games created and produced by Rare. \n\nMade by MiiMario64. \n\nRequires Character Select!


local E_MODEL_CONKER = smlua_model_util_get_id("Conker_geo")

local TEXT_MOD_NAME = "Conker"

local TEX_CONKER = get_texture_info("Conker_icon")

local VOICETABLE_CONKER = {
    [CHAR_SOUND_ATTACKED] = {"Attacked1.ogg", "Attacked2.ogg","Attacked3.ogg"},
    [CHAR_SOUND_GROUND_POUND_WAH] = "silence.ogg",
    [CHAR_SOUND_HAHA] = "silence.ogg",
    [CHAR_SOUND_HAHA_2] = "silence.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "silence.ogg",
    [CHAR_SOUND_HOOHOO] = {"Jump1.ogg", "Jump2.ogg"},
    [CHAR_SOUND_ON_FIRE] = "Burning.ogg",
    [CHAR_SOUND_OOOF] = "silence.ogg",
    [CHAR_SOUND_OOOF2] = {"Doh.ogg","Doh2.ogg","Doh3.ogg"},
    [CHAR_SOUND_PUNCH_HOO] = "Punch Hoo.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "Punch Wah.ogg",
    [CHAR_SOUND_PUNCH_YAH] = "Punch Yah.ogg",
    [CHAR_SOUND_SNORING1] = "Snore.ogg",
    [CHAR_SOUND_SNORING2] = "Snore2.ogg",
    [CHAR_SOUND_SNORING3] = {"Snore3.ogg", "Snore4.ogg", "Snore5.ogg"},
    [CHAR_SOUND_SO_LONGA_BOWSER] = "silence.ogg",
    [CHAR_SOUND_TWIRL_BOUNCE] = "silence.ogg",
    [CHAR_SOUND_WAAAOOOW] = {"Fall.ogg", "Fall2.ogg", "Fall3.ogg"},
    [CHAR_SOUND_WAH2] = "Jump2.ogg",
    [CHAR_SOUND_WHOA] = "silence.ogg",
    [CHAR_SOUND_YAHOO] = "Jump2.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {"Jump1.ogg", "Jump2.ogg"},
    [CHAR_SOUND_YAH_WAH_HOO] = {"Jump1.ogg", "Jump2.ogg"},
    [CHAR_SOUND_OKEY_DOKEY] = "Jump2.ogg",
    [CHAR_SOUND_LETS_A_GO] = "silence.ogg",
    [CHAR_SOUND_DYING] = {"Dying.ogg","Dying2.ogg","Dying3.ogg"},
    [CHAR_SOUND_DROWNING] = "Drowning.ogg",
    [CHAR_SOUND_EEUH] = {"Climbup.ogg","Climbup2.ogg","Climbup3.ogg"},
    [CHAR_SOUND_MAMA_MIA] = {"Mamamia.ogg","Mamamia2.ogg","Mamamia3.ogg"},
    [CHAR_SOUND_COUGHING1] = "Cough1.ogg",
    [CHAR_SOUND_COUGHING2] = "Cough2.ogg",
    [CHAR_SOUND_COUGHING3] = "Cough3.ogg",
    [CHAR_SOUND_DOH] = {"Doh.ogg","Doh2.ogg","Doh3.ogg"},
    [CHAR_SOUND_HRMM] = {"Pickup.ogg","Pickup2.ogg","Pickup3.ogg"},
    [CHAR_SOUND_PANTING] = "Lowhp.ogg",
    [CHAR_SOUND_UH] = "Doh4.ogg",
    [CHAR_SOUND_YAWNING] = 'Yawn.ogg',
}

local PALLETE_CONKER = {
    [PANTS]  = {r = 0x60, g = 0x64, b = 0x64},
    [SHIRT]  = {r = 0xf7, g = 0xef, b = 0xb1},
    [GLOVES] = {r = 0xff, g = 0xff, b = 0xff},
    [SHOES]  = {r = 0x68, g = 0x40, b = 0x1b},
    [HAIR]   = {r = 0x73, g = 0x06, b = 0x00},
    [SKIN]   = {r = 0xfe, g = 0xd5, b = 0xa1},
    [CAP]    = {r = 0x76, g = 0xb4, b = 0xce},
    }


-- add it
if _G.charSelectExists then
    _G.charSelect.character_add("Conker", {"Conker is a series produced by Rare."}, "MiiMario64 & Mlgluigigamer", {r = 255, g = 102, b = 0}, E_MODEL_CONKER, CT_MARIO, TEX_CONKER)

    _G.charSelect.character_add_voice(E_MODEL_CONKER, VOICETABLE_CONKER)

    --taken from toadette code

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_CONKER then return _G.charSelect.voice.sound(m, sound) end
    end)

    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_CONKER then return _G.charSelect.voice.snore(m) end
    end)

    _G.charSelect.character_add_palette_preset(E_MODEL_CONKER, PALLETE_CONKER)

else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end


